﻿using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IAddins
{    
    public interface IModuleAttribute
    {
        string ModuleName { get; }
    }

    [MetadataAttribute]
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class DemoAttribute : ExportAttribute, IModuleAttribute
    {
        public DemoAttribute(string moduleName) : base(typeof(IAddin))
        {
            ModuleName = moduleName;
        }
        public string ModuleName { get; private set; }
    }
}
